// SPDX-FileCopyrightText: 2024 Yury Gubich <blue@macaw.me>
// SPDX-License-Identifier: GPL-3.0-or-later

#include "jay.h"
#include "logger.h"

#include <string>
#include <iostream>

int main(int argc, char** argv) {
    if (argc != 3) {
        std::cerr << "Usage: " << argv[0] << " <jid> <password>\n";
        return 1;
    }

    std::string jid = argv[1];
    std::string password = argv[2];

    Jay bot(jid, password);
    bot.addLogger(gloox::LogLevelDebug);

    bot.run();

    return 0;
}
